## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.7.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/google/cel-go
%global goipath         github.com/google/cel-go
Version:                0.12.4

%gometa -f

%global common_description %{expand:
The Common Expression Language (CEL) is a non-Turing complete language designed
for simplicity, speed, safety, and portability. CEL's C-like syntax looks nearly
identical to equivalent expressions in C++, Go, Java, and TypeScript.}

%global golicenses      LICENSE
%global godocs          examples CODE_OF_CONDUCT.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Fast, portable, non-Turing complete expression evaluation

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  antlr4

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
# Regenerate ANTLR files
pushd parser/gen
antlr4 -Dlanguage=Go -package gen -visitor CEL.g4
popd

%install
%gopkginstall

%if %{with check}
%check
# Some tests fail due to overflows
%if 0%{?__isa_bits} == 32
rm -rfv common/types/int_test.go
%endif
# server fails but you need first to check it for undefined behavior with cel-spec
%gocheck -d server
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 0.12.4-3
- Rebuild to fix FTBFS

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 0.12.4-2
- Use %%%%gometa -f

* Sun Aug 07 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.12.4-1
- Update to 0.12.4 - Close: rhbz#2104877 rhbz#2114537

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.11.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Jerry James <loganjerry@gmail.com> 0.11.4-3
- Rebuild for ANTLR 4.10.1

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.11.4-2
- Disable common/types/int_test.go for ARM too

* Fri Jun 10 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 0.11.4-1
- Update to 0.11.4 - Closes rhbz#1963633 rhbz#2045513

* Fri Jun 10 2022 Jerry James <loganjerry@gmail.com> - 0.7.0-4
- Generate the ANTLR parser from source

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 21:18:48 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Wed Dec 23 09:21:17 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.0-1.20201223git4c3317a
- Initial package

